with GNATCOM.Dispinterface;

package MSHTML.ISVGPreserveAspectRatio_Interface is

   type ISVGPreserveAspectRatio_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGPreserveAspectRatio_Type);

   function Pointer (This : ISVGPreserveAspectRatio_Type)
     return Pointer_To_ISVGPreserveAspectRatio;

   procedure Attach (This    : in out ISVGPreserveAspectRatio_Type;
                     Pointer : in     Pointer_To_ISVGPreserveAspectRatio);

   procedure Put_align
     (This : ISVGPreserveAspectRatio_Type;
      p    : Interfaces.C.short);

   function Get_align
     (This : ISVGPreserveAspectRatio_Type)
     return Interfaces.C.short;

   procedure Put_meetOrSlice
     (This : ISVGPreserveAspectRatio_Type;
      p    : Interfaces.C.short);

   function Get_meetOrSlice
     (This : ISVGPreserveAspectRatio_Type)
     return Interfaces.C.short;

end MSHTML.ISVGPreserveAspectRatio_Interface;

